"""
Example translation system

Copyright (C) 2023 NIBIO <http://www.nibio.no/>. 

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
"""

name = {
    "en":   "Reference Model",
    "nb":   "Referansemodell",
}

description = {
    "en":   """
    {{filename="/images/Monty_python_foot.png" description="Av Agnolo Bronzino - Bronzino&#039;s Venus, Cupid, Folly and Time, authored by User:Husky., Offentlig eiendom, https://commons.wikimedia.org/w/index.php?curid=3595935"}}
    The model is a reference model for developers, showcasing best practices and functionalities of a model.
    It's a simple day degree model for an imagined pest, and when thresholds are passed, the warning status progresses.
    {{filename="/images/DeadParrot.png" description="This is a dead parrot"}}
    """,
    
    "nb":   """
    {{filename="/images/Monty_python_foot.png" description="Av Agnolo Bronzino - Bronzino&#039;s Venus, Cupid, Folly and Time, authored by User:Husky., Offentlig eiendom, https://commons.wikimedia.org/w/index.php?curid=3595935"}}
    Modellen er en referansemodell for utviklere, som viser beste praksis for modellutvikling.
    Det er en enkel dagsgradsmodell for et tenkt skadedyr, og når terskler passeres, utvikler advarselsstatusen seg
    {{filename="/images/DeadParrot.png" description="This is a dead parrot"}}
    """,
}

wsi = {
    "en":   """
    Gray   status (warning status == 0): Warning not applicable
    Blue   status (warning status == 1): Missing data
    Green  status (warning status == 2): No risk. Sleep well
    Yellow status (warning status == 3): The day-degree hreshold for medium risk has been passed. Be on the alert, inspect your field
    Red status    (warning status == 4): The day-degree threshold for high risk has been passed. When the going gets tough, the tough get going
    """,

    "nb": """
    Grå status (advarselsstatus == 0): Advarsel ikke aktuelt
    Blå status (advarselsstatus == 1): Manglende data
    Grønn status (advarselsstatus == 2): Ingen risiko. Sov godt
    Gul status (advarselsstatus == 3): Daggradsterskelen for middels risiko er passert. Vær på vakt, inspiser feltet ditt
    Rød status (advarselsstatus == 4): Daggradsterskelen for høy risiko er passert. Når det blir tøft, kommer de tøffe i gang
    """

}

usage = {
    "en": """
    Input data are:
    sowingDate (yyyy-MM-dd) - the day you sowed your crop
    timeZone - the timeZone you're in, e.g. "Europe/Oslo"
    weatherData - daily mean temperatures in degrees Celcius
    """,

    "nb": """
    Inndata er:
     sådato (åååå-MM-dd) - dagen du sådde avlingen
     tidssone - tidssonen du er i, f.eks. "Europe/Oslo"
     værdata - daglig gjennomsnittstemperatur i grader Celsius
    """
}